var loopback = require('./');

var Product = loopback.createModel('Product');
var Category = loopback.createModel('Category', {}, {
  relations: {
    products: {
      embed: {"as": "object", "key": "name"},
      type: "hasMany",
      model: "Product",
      foreignKey: "categoryId"
    }
  }
});

var memory = loopback.memory();
Product.attachTo(memory);
Category.attachTo(memory);

Category.create({
  products: {}
}, function(err, cat) {
  if (err) throw err;
  console.log(cat);
});
      
